# Class: Sha512

Class to help with Sha512 scheme
TypeScript conversion from https://github.com/emn178/js-sha512.

## Table of contents

### Properties

- [SIZE\_224](Sha512.md#size_224)
- [SIZE\_256](Sha512.md#size_256)
- [SIZE\_384](Sha512.md#size_384)
- [SIZE\_512](Sha512.md#size_512)

### Methods

- [sum512](Sha512.md#sum512)
- [update](Sha512.md#update)
- [digest](Sha512.md#digest)

### Constructors

- [constructor](Sha512.md#constructor)

## Properties

### SIZE\_224

▪ `Static` **SIZE\_224**: `number` = `224`

Sha512 224.

___

### SIZE\_256

▪ `Static` **SIZE\_256**: `number` = `256`

Sha512 256.

___

### SIZE\_384

▪ `Static` **SIZE\_384**: `number` = `384`

Sha512 384.

___

### SIZE\_512

▪ `Static` **SIZE\_512**: `number` = `512`

Sha512 512.

## Methods

### sum512

▸ `Static` **sum512**(`data`): `Uint8Array`

Perform Sum 512 on the data.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `data` | `Uint8Array` | The data to operate on. |

#### Returns

`Uint8Array`

The sum 512 of the data.

___

### update

▸ **update**(`message`): [`Sha512`](Sha512.md)

Update the hash with the data.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `message` | `Uint8Array` | The data to update the hash with. |

#### Returns

[`Sha512`](Sha512.md)

The instance for chaining.

___

### digest

▸ **digest**(): `Uint8Array`

Get the digest.

#### Returns

`Uint8Array`

The digest.

## Constructors

### constructor

• **new Sha512**(`bits?`)

Create a new instance of Sha512.

#### Parameters

| Name | Type | Default value | Description |
| :------ | :------ | :------ | :------ |
| `bits` | `number` | `Sha512.SIZE_512` | The number of bits. |
